#/bin/bash

#Sets up an initial ANSIBLE environment

set -e
CONTROLLER="./ANSIBLE"

mkdir -p $CONTROLLER

cd $CONTROLLER

cat <<EOT > ansible.cfg
[defaults]
inventory = $CONTROLLER/hosts
remote_user = root
EOT


#Make infrastructure
touch site.yml
touch hosts
touch servers.yml
touch fooservers.yml
mkdir -p ./roles/common/tasks
mkdir -p ./roles/common/handlers
mkdir -p ./roles/common/files
mkdir -p ./roles/common/templates
mkdir -p ./roles/common/vars
mkdir -p ./roles/common/defaults
mkdir -p ./roles/common/meta

mkdir -p ./roles/servers/tasks
mkdir -p ./roles/servers/handlers
mkdir -p ./roles/servers/files
mkdir -p ./roles/servers/templates
mkdir -p ./roles/servers/vars
mkdir -p ./roles/servers/defaults
mkdir -p ./roles/servers/meta

mkdir -p ./group_vars
mkdir -p ./host_vars
